uniform sampler2D 	tex,
					blurred,
					cocMap;
varying vec2 		texcoord;
uniform float		focus;

void main()
{
	//float focus=clamp(2105.0-fov*32.0,0.0,90.0);
	//float radius=(focus*0.5);//abs(1.0/focus);
		  
	vec4 c0=texture2D(tex, texcoord);
	/*if(c0.a<0.8)
	{*/
		vec4 c1=texture2D(blurred, texcoord);//*0.5;
		float d=c0.a;//texture2D(cocMap, texcoord).r;//c1.w;//*1000.0;//-texture2D(pos, texcoord).z;
		gl_FragColor=mix(c1,c0,/*t0*/d/*d*/);//(c1*d) + (c0*(1.0-d));
	//}
/*	}
	else
		gl_FragColor=c0;*/
}
